Point milieu TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Midpoints and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano
Arrow-left.svg Page précédente: Techdraw-point.svg CosmeticVertex TechDraw
Page suivante: Quadrant TechDraw Techdraw-quadrant.svg Arrow-right.svg

Techdraw-midpoint.svg Point milieu TechDraw

Emplacement du menu
TechDraw → Add midpoints vertices
Ateliers
Atelier TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
CosmeticVertex TechDraw, Quadrant TechDraw


Description

L'outil Points milieu (Midpoints) ajoute des points cosmétiques aux milieu d'une ou plusieurs arêtes.

TechDraw CosmeticMidpoint Sample.png

Points cosmétiques au milieu d'arêtes


Utilisation

  1. Sélectionnez une ou plusieurs arêtes dans une vue.
  2. Appuyez sur le bouton Techdraw-midpoint.svg Point milieu.
  3. Les sommets cosmétiques seront ajoutés au point milieu du ou des bords.


Propriétés

Les points cosmétiques n'ont pas de propriétés propres car ils ne sont pas des objets de document. Ils partagent les paramètres de couleur et de taille avec des points de géométrie réguliers.

Script

Voir aussi: TechDraw API et FreeCAD Scripts de Base.

Les points cosmétiques ne sont pas accessibles par macros ni par la console Python pour le moment. Cet extrait supprimera tous les points cosmétiques de la vue.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()


Arrow-left.svg Page précédente: Techdraw-point.svg CosmeticVertex TechDraw
Page suivante: Quadrant TechDraw Techdraw-quadrant.svg Arrow-right.svg